<%@ page language="C#" autoeventwireup="true" responseencoding="gb2312" inherits="Dcx.Web.Tp_Form_EditPower2, P_DcxRun" enableeventvalidation="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <meta http-equiv="content-type" content="text/html; charset=gb2312">
    <%--多选项卡：块列表+标准表单（大字号），Excel表单--%>
    <link rel="shortcut icon" type="image/ico" href="/favicon.ico" />
    <%--单列--%>
    <title>
        <%=templateObj.EntName%>
    </title>
    <%--模板Css--%>
    <link rel="shortcut icon" type="image/ico" href="/favicon.ico" />
    <link rel="stylesheet" href="/Css/style/common/common.css" type="text/css" />
    <link rel="stylesheet" href="/Css/style/default/module/common.css" type="text/css" />
    <link rel="stylesheet" href="/Css/style/default/control/FormControl.css" type="text/css" />
    <link rel="stylesheet" href="/Css/style/default/module/defaultForm/p-defaultform008.css"
        type="text/css" />
    <link rel="stylesheet" href="/Css/style/default/template/p-one/p-one002.css" type="text/css" />

    <script type="text/javascript" language="JavaScript">  
        var formUrl_<%=templateObj.EntId %>_<%=templateObj.CtrlPrex %>="/Template/Default/Form/AjaxForm/AjaxForm008.aspx";//表单网址
        if ("<%=templateObj.Form_CtrlPrex %>"=="DefaultF_")
            formUrl_<%=templateObj.EntId %>_<%=templateObj.CtrlPrex %>="/Template/Default/Form/DefaultForm008.aspx";//表单网址

        var browseUrl_<%=templateObj.EntId %>_<%=templateObj.CtrlPrex %>="/Template/default/Browse/Browse3.aspx";//明细网址
        if ("<%=templateObj.Browse_CtrlPrex %>"=="DetailR_")
            formUrl_<%=templateObj.EntId %>_<%=templateObj.CtrlPrex %>="/Template/default/Browse/Browse3.aspx";//明细网址
        
        var CtrlPrex="<%=templateObj.CtrlPrex %>";
    </script>

    <%=templateObj.strHead.ToString()%>

    <script type="text/javascript" language="JavaScript">
$(window).load(function(){
 
    try{
        onh(<%=templateObj.EntId %>,"<%=templateObj.CtrlPrex %>");
    }
    catch(err)
    {}

});  

/*
*
* 搜索
*
*/
function VL_Search(EntId)
{
Dcx_Search(EntId,"<%=templateObj.CtrlPrex %>");
}

/*
*
* 提供节点的信息，调用客户提供的函数，执行指定事件。OtherSqlCondition是已经生成的SQL条件
*
*/
function eon(EntId,CtrlPrex,BindFieldName,BindValue,OtherSqlCondition,NodeValue,NodeText,NodeIndex,TreeId, ClickedObj, BindFieldDType)
{
    if(CtrlPrex=="AjaxF_")
        xcr(EntId,CtrlPrex,BindValue,false);
    else if(CtrlPrex=="DefaultF_")
        mhc(EntId,CtrlPrex,BindValue,false);
    else 
        kha(EntId,CtrlPrex,BindFieldName,BindValue, BindFieldDType);
        //vbp(EntId,CtrlPrex,OtherSqlCondition);

}


    </script>

</head>
<body>
    <div class="main"> 
        <%=templateObj.GetModuleHtml(Dcx.Model.ModuleType.DefaultForm )%>
    </div>
</body>
</html>

